/***********************************************
 * Small Assignment 2: Processing and Turtle Geometry
 * Name:    Jamini Sahu
 * E-mail:  jsahu@unm.edu
 * Course:      CS591, Computational Fabrication
 * Submitted:    2/1/2022
 *
 * This program includes several different features. The keyPressed() functionality was not working for me,
 *    so the program changes are based on the 'key_' variable in the setup. 
 * To plot a polar plot, change the 'key_' variable to 1.
 * To draw a circle with a turtle, change the 'key_' variable to 2.
 * To draw a flower, change the 'key_' variable to 3.
 * To draw a cool turtle path, change the 'key_' variable to 4.
 * To draw a fun night sky with turtles, change the 'key_' variable to 5.
 * To draw a swirly sun picture with turtles, change the 'key_' variable to 6.
***********************************************/

import Turtle.*;
Turtle t;
int key_, length, numPetals;
float size, angle,  stepSize;

void setup() {

 size(600,600);
 fill(#B2DCF5, 10);
 strokeWeight(1.5);
 t = new Turtle(this);
 frameRate(50);
 background(#B2DCF5);
 numPetals = 17;
 length = 150;
 size = 10;
 stepSize = 0.5;
 angle = 300; 
 key_ = 6;
 
}

void draw() {

  if (keyPressed){
    println(key);
  }
  if (key_ == 1) {
    translate(width/2, height/2);
    polarPlot();
  }
  if (key_ == 2) {
    size = 100;
    centeredCircle(size);
  }
  if (key_ == 3) {
    flower(numPetals);
  }
  if (key_ == 4) {
    turtle1(angle);
  }
  if (key_ == 5) {
     turtle2(angle);
     angle ++;
  }
  if (key_ == 6) {
       turtle3(stepSize);
  }
}
