int[] strokeColor = {255,0,0}; 
int count = 0;
Turtle t2 = new Turtle(this);
int direction = 1;

// draws cube design where the stroke color and step size depend on mouse position
void turtle1(float angle) {
  
  t.forward(mouseX % 50);
  t.right(angle);
  stroke(mouseX % 255, count % 255 - 50, mouseY % 255);
  count ++;
  
}

// draws a galaxy-like shape with stars near the figure using two different turtles
void turtle2(float angle) {

  if (count == 0) {
    background(#2D32B9);
    t.setX(width/2 - 100);
    t.setY(height/2 + 100);
  }
  
  stroke(#F1F2BF);
  t.forward(size);
  t.right(angle);
  
  stroke(#FFFFFF);
  if (count % 10 == 0)
    polygon(t2, 10.0,144.0);
  t2.penUp();
  t2.setX(random(t.getX() - 20, t.getX() + 20));
  t2.setY(random(t.getY() - 20, t.getY() + 20));
  t2.penDown();
  
  count += 1;
}

// 
void polygon(Turtle t, float size, float angle) {
  for(int i = 0; i < 360 % angle; i++) {
    t.forward(size);
    t.right(angle);
  }
}

// draws sun shape 
void turtle3(float stepSize) {
  
  for (int i = 0; i < 180; i++){
      t.forward(stepSize);
      t.right(direction * 0.5);
  }
  t.right(direction * 160);
  for (int i = 0; i < 180; i++){
      t.forward(stepSize);
      t.left(direction * 0.5);
  }
  t.right(direction * 5);

  
}

// starts drawing a new sun shape in mouse click area with a new color
void mouseClicked() {
  
  if (key_ == 6) {
    t.setX(mouseX);
    t.setY(mouseY);
    stroke(random(255), random(255), random(255));
    direction *= -1;
  }
 
}
