float a;
float n;
float r;
int[] colors = {#E8B2D1, #D3B2E8, #F8FCB8, #EABA8C, #9CFAA8, #F56086, #9660F5};

// returns single  point using polar coordinate input
float[] polarPoint(float r, float angle) {
  float [] point = new float[2];
  point[0] = r*cos(radians(angle));
  point[1] = r*sin(radians(angle));
  return point;
}

// plots a shape based on mouse position
void polarPlot() {

  background(#B2DCF5);
  a = mouseX % 200; 
  n = mouseY % 10;
  float[] point;
  beginShape();
  r = 100 + a*cos(radians(0));
  point = polarPoint(r, 0);
  curveVertex(point[0],point[1]);
  for (int i=0; i<=360; i++) {
    r = 100+ a*cos(radians(i*n));
    point = polarPoint(r, i);
    curveVertex(point[0],point[1]);
  }
  r = 100 + a*cos(radians(360));
  point = polarPoint(r, 360);
  curveVertex(point[0],point[1]);
  endShape();

}

// changes color of shape when key pressed
void keyPressed(){

  if (key_ == 1) {
    polarPlot();
    fill(colors[(int)random(0,7)]);
    polarPlot();
  }
  
}
